#!/usr/bin/env python
from __future__ import division

import sys

from Numeric import *
import numpy as np
from matplotlib import rc
import matplotlib.pyplot as plot

def main():

	rc('text', usetex=True)	

	S = np.asarray([2,3,4,5,6,8,10,15,20,50])
	X = np.arange(0, 1.01, 0.01)

	for s in S:
		Y = []				
		Us = 1.0/s
		for x in X:
			Y.append(Us**2+(x-Us)**2)
		plot.plot(X, Y)
	
	plot.xticks(np.arange(0,1.1,0.1))
	plot.yticks(np.arange(0,1.1,0.1))
	plot.grid()
	plot.title(r'Certainty, $\;s=\left(2,3,4,5,6,8,10,15,20,50\right)$')
	plot.xlabel(r'$p_{j}$')
	plot.ylabel(r'$K\left(p_{j}\right)$')
	
	plot.show()
		

if __name__ == "__main__":
	main()
	
