#!/usr/bin/env python
from __future__ import division

import sys

from Numeric import *
import numpy as np

from matplotlib import rc
import matplotlib.pyplot as plot

def main():

	rc('text', usetex=True)	

	S = np.arange(2,25,1)
	
	plot.subplot(121)
	
	# Max. Certainty
	plot.axhline(y=1, linewidth=3, color='b')
	txt = (r'max.Certainty')
	plot.text(10, 0.90, txt, fontsize=12, color='b')
	
	# Min. Certainty
	minK = [1/s for s in S]
	plot.plot(S, minK, color='r')
	txt = (r'min.Certainty')
	plot.text(10, 0.20, txt, fontsize=12, color='r')
	
	plot.title(r'\textit{Max./min. values of certainty}', fontsize=12)
	plot.xlabel(r'$\displaystyle\,s$', fontsize=17)
	plot.ylabel(r'$\displaystyle\,K_{s}$', fontsize=17)
	plot.axis([2, 25, 0, 1])
	
	plot.subplot(122)
	
	# Max. Entropy
	MaxH = [np.log2(s) for s in S] 
	plot.plot(S, MaxH, color='b')
	txt = (r'max.Uncertainty')
	plot.text(10, 4.5, txt, fontsize=12, color='b')
	
	# Min. Entropy
	plot.axhline(y=0, linewidth=3, color='r')
	txt = (r'min.Uncertainty')
	plot.text(10, 1, txt, fontsize=12, color='r')
	
	plot.title(r'\textit{Max./min. values of entropy}', fontsize=12)
	plot.xlabel(r'$\displaystyle\,s$', fontsize=17)
	plot.ylabel(r'$\displaystyle\,H_{s}$', fontsize=17)
	plot.axis([2, 25, 0, 5])
	
	plot.show()
		

if __name__ == "__main__":
	main()
	
